com.mockobjects.dynamic

## Interface ConstraintMatcher

- All Known Implementing Classes:
    AnyConstraintMatcher, FullConstraintMatcher

      public interface ConstraintMatcher

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[]` | `getConstraints()`
    `boolean` | `matches(java.lang.Object[] args)`

- - ### Method Detail

    - #### matches

          boolean matches(java.lang.Object[] args)

    - #### getConstraints

          java.lang.Object[] getConstraints()

Copyright © 2002 Mock Objects. All Rights Reserved.